-- Put functions in this file to use them in several other scripts.
-- To get access to the functions, you need to put:
-- require "my_directory.my_file"
-- in any script using the functions.
list_utils = {}

function list_utils.find(list, value)
	return findHelper(list, value, 0)
end

function findHelper(list, value, index)
	if #list == index + 1 then
		return -1
	elseif list[index] == value then
		return index
	else
		return findHelper(list, value, index + 1)
	end
end

function list_utils.encode(list)
	local w = #list
	local output = "{"
	for i = 1, w, 1 do
		local this = i..":{"
		local h = #list[i]
		for j = 1, h, 1 do
			if j ~= h then
				this = this..j..":".."\""..list[i][j].."\", "
			else
				this = this..j..":".."\""..list[i][j].."\""
			end
		end
		if i ~= w then
			this = this.."}, "
		else
			this = this.."}"
		end
		output = output..this
	end
	output = output.."}"
	return output
end

return list_utils